    using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;


namespace Mod
{
        public class Mod
    {

        public static void Main()
        {
					
	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Red slime pup", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "It is made out of slightly sticky slime", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("red slime pup frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("red slime pup.png");
                        var flesh = ModAPI.LoadTexture("non flesh.png");
                        var bone = ModAPI.LoadTexture("red slime pup bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head1.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail1.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Yellow or golden slime pup", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "It is made out of slightly sticky slime", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("yellow or golden slime pup frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("yellow or golden slime pup.png");
                        var flesh = ModAPI.LoadTexture("non flesh.png");
                        var bone = ModAPI.LoadTexture("yellow or golden slime pup bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head2.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail2.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Green slime pup", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "It is made out of slightly sticky slime", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("green slime pup frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("green slime pup.png");
                        var flesh = ModAPI.LoadTexture("non flesh.png");
                        var bone = ModAPI.LoadTexture("green slime pup bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head3.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail3.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Blue or diamond slime pup", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "It is made out of slightly sticky slime", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("blue or diamond slime pup frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("blue or diamond slime pup.png");
                        var flesh = ModAPI.LoadTexture("non flesh.png");
                        var bone = ModAPI.LoadTexture("blue or diamond slime pup bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head4.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail4.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Purple slime pup", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "It is made out of slightly sticky slime", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("purple slime pup frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("purple slime pup.png");
                        var flesh = ModAPI.LoadTexture("non flesh.png");
                        var bone = ModAPI.LoadTexture("purple slime pup bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head5.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail5.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Panther", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "I think he is a little aggressive", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("panther frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("panther.png");
                        var flesh = ModAPI.LoadTexture("non flesh.png");
                        var bone = ModAPI.LoadTexture("panther bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head6.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail6.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Nightcrawler", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "Time for night show", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("nightcrawler frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("nightcrawler.png");
                        var flesh = ModAPI.LoadTexture("non flesh.png");
                        var bone = ModAPI.LoadTexture("nightcrawler bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head7.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail7.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Shade", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "Am famous lol", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("shade frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("shade.png");
                        var flesh = ModAPI.LoadTexture("non flesh.png");
                        var bone = ModAPI.LoadTexture("shade bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head8.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail8.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
        }
    }
}